Обход ограничений безопасности в WordPress

Дата публикации:
21.11.2007
Всего просмотров:
1599
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Wordpress 1.x
WordPress 2.x
Уязвимые версии: WordPress 2.3.1 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за того, что злоумышленник может создать два аутентификационных файла куки ("wordpressuser_*" и "wordpresspass_*") из данных в таблице "users" и получить административный доступ к приложения. Для успешной эксплуатации уязвимости злоумышленнику требуется получить доступ на чтение таблицы "users" в базе данных.

Примечание: уязвимость эксплуатируется злоумышленниками в настоящее время.

URL производителя: wordpress.org

Решение: Способов устранения уязвимости не существует в настоящее время. В качестве временного решения рекомендуется запретить доступ к директории "wp-admin".

Ссылки: http://www.cl.cam.ac.uk/~sjm217/advisories/wordpress-cookie-auth.txt

или введите имя

CAPTCHA